Bug 591064 - no command for DNS-lookups available in anaconda
Summary: no command for DNS-lookups available in anaconda
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: x86_64
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Martin Gracik
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 11:11 UTC by christian.kehrmann
Modified: 2013-07-04 12:50 UTC (History)
3 users (show)

Fixed In Version: anaconda-13.21.40-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 20:49:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description christian.kehrmann 2010-05-11 11:11:43 UTC
Description of problem:
We use nslookup during the %pre-section of anaconda to get the name for a known IP and later to get the IP for a known hostname.
That worked in RHEL5, but in RHEL6 Beta there is no command available to lookup DNS-entries. I searched for commands nslookup, dig and host


Version-Release number of selected component (if applicable):


How reproducible:
Always in anaconda.

Steps to Reproduce:
1. Boot from RHEL6 Beta DVD
2. as soon as the graphical installer is started, switch to VT2 with Ctrl-Alt-F2
3. on this shell there is no command available to look up DNS-entries
4. type nslookup <any_host_or_ip>

  
Actual results:
sh: nslookup: command not found

Expected results:
nslookup should exist; or any equivalent command to do DNS-lookups 

Additional info:

Comment 2 RHEL Product and Program Management 2010-05-11 13:12:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 David Cantrell 2010-05-11 14:31:33 UTC
Martin, we can just add in the nslookup command in upd-instroot for install.img

Comment 4 Martin Gracik 2010-05-12 08:54:28 UTC
I have a patch for this, can I get the qa_ack+ ?

Comment 6 Martin Gracik 2010-05-13 07:54:25 UTC
nslookup added to version anaconda-13.21.40-1

Comment 8 Alexander Todorov 2010-05-25 12:19:53 UTC
nslookup is present in anaconda-13.21.45-1.el6. Moving to VERIFIED.

Comment 9 releng-rhel@redhat.com 2010-07-02 20:49:01 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.